# eric4.Wizards.QRegExpWizard.QRegExpWizard

Module implementing the QRegExp wizard.

### Classes

QRegExpWizard | Class implementing the QRegExp wizard.

### Functions

None

## QRegExpWizard

Class implementing the QRegExp wizard.

### Derived from

WizardIFace

### Methods

QRegExpWizard | Constructor
__callForm | Private method to display a dialog and get the code.
getAction | Public method to get the action associated with this class wizard.
handle | Worker method associated with the wizard action
initAction | Public method to create the action associated with this class wizard.

#### QRegExpWizard (Constructor)

QRegExpWizard(parent = None)

Constructor

parent
  parent widget (QWidget)

#### QRegExpWizard.__callForm

__callForm(editor)

Private method to display a dialog and get the code.

editor
  reference to the current editor

Returns:
  the generated code (string)

#### QRegExpWizard.getAction

getAction()

Public method to get the action associated with this class wizard.

Returns:
  the associated action

#### QRegExpWizard.handle

handle()

Worker method associated with the wizard action

#### QRegExpWizard.initAction

initAction()

Public method to create the action associated with this class wizard.

Returns:
  the associated action

Up